## cl-iterate 20140713

=== debian/changelog ===
cl-iterate (20140713-1~pgdg80+1) jessie-pgdg; urgency=medium

  * Rebuild for jessie-pgdg (jenkins-cl-iterate-source-
    distribution=jessie-1, apt-get revision sid)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Tue, 21 Jul 2015 09:46:05 +0200

cl-iterate (20140713-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Tue, 05 Aug 2014 00:11:13 +0400

## cl-iterate 20180228

=== Makefile ===
FILES = package.lisp iterate.lisp iterate-test.lisp iterate-pg.lisp iterate.asd
TEXFILES = doc/iter-man.tex doc/iter-bare.tex doc/aimemo.sty doc/GNUmakefile
RCSFILES = package.lisp,v iterate.lisp,v iterate-test.lisp,v iterate-pg.lisp,v doc/iter-man.tex,v
PDFFILES = doc/iter-man.pdf doc/iter-bare.pdf

distrib:
	tar czf iterate.tgz $(FILES) $(TEXFILES) $(PDFFILES)

devel:
	tar czf iterate-rcs.tgz $(FILES) $(RCSFILES) $(TEXFILES) Makefile

## cl-iterate 20160825

=== debian/changelog ===
cl-iterate (20160825-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Mon, 29 Aug 2016 21:55:43 +0300

=== debian/control ===
Source: cl-iterate
Section: lisp
Priority: optional
Maintainer: Dimitri Fontaine <dim@tapoueh.org>
Build-Depends: debhelper (>= 7)
Build-Depends-Indep: dh-lisp
Standards-Version: 3.9.5
Homepage: http://common-lisp.net/project/iterate/
Vcs-Darcs: http://common-lisp.net/project/iterate/darcs/iterate
Vcs-Browser: http://common-lisp.net/project/iterate/darcs/iterate

Package: cl-iterate
Architecture: all
Depends: ${misc:Depends}
Description: Jonathan Amsterdam's Common Lisp iterator/gatherer/accumulator facility
 iterate is an iteration construct for Common Lisp. It is similar to the
 CL:LOOP macro, with these distinguishing marks:
 .
 it is extensible, it helps editors like Emacs indent iterate forms by
 having a more lisp-like syntax, and it isn't part of the ANSI standard for
 Common Lisp (which is sometimes a bad thing and sometimes good).

## cl-iterate 20180228

=== debian/changelog ===
cl-iterate (20180228-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Wed, 16 May 2018 09:49:12 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Dimitri Fontaine <dim@tapoueh.org>
 Build-Depends: debhelper (>= 7)
 Build-Depends-Indep: dh-lisp
-Standards-Version: 3.9.5
+Standards-Version: 4.1.3
 Homepage: http://common-lisp.net/project/iterate/
 Vcs-Darcs: http://common-lisp.net/project/iterate/darcs/iterate
 Vcs-Browser: http://common-lisp.net/project/iterate/darcs/iterate

## cl-iterate 20210519.gitb0f9a9c

=== Makefile ===
FILES = package.lisp iterate.lisp iterate-test.lisp iterate-pg.lisp iterate.asd
TEXFILES = doc/iter-man.tex doc/iter-bare.tex doc/aimemo.sty doc/GNUmakefile
RCSFILES = package.lisp,v iterate.lisp,v iterate-test.lisp,v iterate-pg.lisp,v doc/iter-man.tex,v
PDFFILES = doc/iter-man.pdf doc/iter-bare.pdf


# If you need to sudo in order to use docker, modify this.
DOCKER ?= docker

sourceDirectory := $(shell dirname $(realpath $(lastword $(MAKEFILE_LIST))))


l ?= sbcl

ifeq ($(l), abcl)
	command ?= abcl
	loadfile = --noinit --nosystem --noinform --load

else ifeq ($(l), allegro)
	command ?= alisp
	loadfile = -q -L

else ifeq ($(l), ccl)
	loadfile = --no-init --quiet --load
        command ?= ccl

else ifeq ($(l), clasp)
	command ?= 
	loadfile = --norc --noinit --load

else ifeq ($(l), clisp)
	command ?= clisp
	loadfile = -norc --silent -ansi -I -c -l

else ifeq ($(l), cmucl)
	command ?= cmucl
	loadfile = -noinit -batch --load

else ifeq ($(l), ecl)
	command ?= ecl
	loadfile = --norc --load

else ifeq ($(l), lispworks)
	command ?= lispworks # this is just a convention...
	loadfile = -siteinit = -init -

else ifeq ($(l), sbcl)
	command ?= sbcl
	loadfile = --no-userinit --no-sysinit --load
else
	$(error Don\'t know how to operate on implementation $(l))
endif

.PHONY: test

distrib:
	tar czf iterate.tgz $(FILES) $(TEXFILES) $(PDFFILES)

devel:
	tar czf iterate-rcs.tgz $(FILES) $(RCSFILES) $(TEXFILES) Makefile

test:
	$(command) $(loadfile) test.lisp


# Useful for reproducing test failures with Docker.
test-docker-repl:
	@${DOCKER} run --rm -i -t --pull always -u $(shell id -u):$(shell id -g) -v $(sourceDirectory):$(sourceDirectory) -w $(sourceDirectory)/test clfoundation/${l}:latest

test-docker-lisp:
	@${DOCKER} run --rm -i -t --pull always -u $(shell id -u):$(shell id -g) -v $(sourceDirectory):$(sourceDirectory) -w $(sourceDirectory) clfoundation/${l}:latest make test l=${l} t=${t}

=== doc/Makefile ===
# -*- Mode: Makefile; tab-width: 4; indent-tabs-mode: t -*-
#
# Makefile --- Make targets for generating the documentation.
#
# Copyright (C) 2005-2006, Luis Oliveira  <loliveira at common-lisp.net>
#
# Permission is hereby granted, free of charge, to any person
# obtaining a copy of this software and associated documentation
# files (the "Software"), to deal in the Software without
# restriction, including without limitation the rights to use, copy,
# modify, merge, publish, distribute, sublicense, and/or sell copies
# of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be
# included in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
# NONINFRINGEMENT.  IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
# HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
# WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
# DEALINGS IN THE SOFTWARE.
#

all: docs

docs:
	sh gendocs.sh -o manual --html "--css-include=style.css" iterate "The Iterate Manual"

clean:
	find . \( -name "*.info" -o -name "*.aux" -o -name "*.cp" -o -name "*.fn" -o -name "*.fns" -o -name "*.ky" -o -name "*.log" -o -name "*.pg" -o -name "*.toc" -o -name "*.tp" -o -name "*.vr" -o -name "*.dvi" -o -name "*.cps" -o -name "*.vrs" \) -exec rm {} \;
	rm -rf manual

upload-docs:
	rsync -av --delete -e ssh manual common-lisp.net:/project/iterate/public_html/
#	scp -r manual spec common-lisp.net:/project/cells/public_html/

# vim: ft=make ts=4 noet

=== debian/changelog ===
cl-iterate (20210519.gitb0f9a9c-1) unstable; urgency=medium

  * New upstream snapshot
  * Move under Debian Common Lisp Team maintenance. Thanks to Dimitri Fontaine
    for his work on this package.
  * Bump to debhelper 13
  * Bump Standards-Version to 4.6.0
  * Remove Build-Depends on dh-lisp
  * Add Rules-Requires-Root: no
  * Update Vcs-* fields for move to salsa
  * Mark as M-A foreign
  * Use secure URL for Homepage
  * Add debian/upstream/metadata
  * Add debian/watch (following the “release” git branch as is done by
    Quicklisp; not yet working because of #992976)
  * Simplify debian/rules
  * Ship iterate-pg.lisp example
  * Add missing entries in debian/copyright
  * Add autopkgtest that runs the testsuite under sbcl, ecl and clisp
  * clisp-test-failures.patch: new patch for clisp autopkgtest

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 04 Nov 2021 16:50:00 +0100

cl-iterate (20180228-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 04 Jan 2021 17:05:03 +0100

cl-iterate (1.4.2-3) unstable; urgency=low

  * Updated Standard Version without real changes
  * swap binary-indep and binary-arch round
  * Added Homepage field
  * Debhelper is Build-Depends
  * Added ${misc:Depends} to Depends
  * Added Vcs-Git control field
  * Changed to group maintanance

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 09 Apr 2008 20:33:55 +0200

cl-iterate (1.4.2-2) unstable; urgency=low

  * Added missing Build-Depends on 'dh-lisp' (Closes: #351766)

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue,  7 Feb 2006 14:37:38 +0100

cl-iterate (1.4.2-1) unstable; urgency=low

  * mention Jonathan Amsterdam in the description.
  * New policy version
  * Added watch file
  * Now uses darcs-buildpackage

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 25 Jan 2006 21:16:31 +0100

cl-iterate (1.4-1) unstable; urgency=low

  * New upstream release.

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri,  3 Jun 2005 07:21:55 +0200

cl-iterate (1.0.9-2) unstable; urgency=low

  * New maintainer. (Closes: #297367: O: cl-iterate)
  * Adopted by Peter Van Eynde

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue,  1 Mar 2005 10:12:56 +0100

cl-iterate (1.0.9-1) unstable; urgency=low

  * New upstream (closes:273813)

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 28 Sep 2004 04:38:29 -0600

cl-iterate (0.9.1-1) unstable; urgency=low

  * Initial upload

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 17 Dec 2003 01:48:38 -0700

=== debian/control ===
Source: cl-iterate
Section: lisp
Priority: optional
Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.0
Homepage: https://common-lisp.net/project/iterate/
Vcs-Git: https://salsa.debian.org/common-lisp-team/cl-iterate.git
Vcs-Browser: https://salsa.debian.org/common-lisp-team/cl-iterate
Rules-Requires-Root: no

Package: cl-iterate
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Jonathan Amsterdam's Common Lisp iterator/gatherer/accumulator facility
 iterate is an iteration construct for Common Lisp. It is similar to the
 CL:LOOP macro, with these distinguishing marks:
 .
  - it is extensible,
  - it helps editors like Emacs indent iterate forms by having a more lisp-like
    syntax,
  - and it isn't part of the ANSI standard for Common Lisp (which is sometimes a
    bad thing and sometimes good).

=== debian/watch ===
# Follow the “release” branch, as is done by Quicklisp
version=4
opts="mode=git, pgpmode=none, pretty=%cd.git%h" \
https://gitlab.common-lisp.net/iterate/iterate \
refs/heads/release debian uupdate

## cl-iterate 20231229.git26cf129

=== Makefile ===
SHELL := /bin/bash

FILES = package.lisp iterate.lisp iterate-test.lisp iterate-pg.lisp iterate.asd
TEXFILES = doc/iter-man.tex doc/iter-bare.tex doc/aimemo.sty doc/GNUmakefile
PDFFILES = doc/iter-man.pdf doc/iter-bare.pdf
defaultLisps = abcl allegro ccl clasp clisp cmucl ecl lispworks sbcl
ifdef ITERATE_TEST_LISPS
	lisps ?= ${ITERATE_TEST_LISPS}
else
	lisps ?= ${defaultLisps}
endif

# If you need to sudo in order to use docker, modify this.
DOCKER ?= docker

sourceDirectory := $(shell dirname $(realpath $(lastword $(MAKEFILE_LIST))))


l ?= sbcl

ABCL ?= abcl
ALLEGRO ?= alisp
ALLEGROMODERN ?= mlisp
CCL ?= ccl
CLISP ?= clisp
CLASP ?= clasp
CMUCL ?= cmucl
ECL ?= ecl
GCL ?= gcl
LISPWORKS ?= lispworks
MKCL ?= mkcl
SBCL ?= sbcl
SCL ?= scl
XCL ?= xcl

ifeq ($(l), abcl)
	command ?= ${ABCL}
	loadfile = --noinit --nosystem --noinform --load

else ifeq ($(l), allegro)
	command ?= ${ALLEGRO}
	loadfile = -q -L

else ifeq ($(l), ccl)
	loadfile = --no-init --quiet --load
	command ?= ${CCL}

else ifeq ($(l), clasp)
	command ?= ${CLASP}
	loadfile = --norc --load

else ifeq ($(l), clisp)
	command ?= ${CLISP}
	loadfile = -norc --silent -ansi

else ifeq ($(l), cmucl)
	command ?= ${CMUCL}
	loadfile = -noinit -batch -load

else ifeq ($(l), ecl)
	command ?= ${ECL}
	loadfile = --norc --load

else ifeq ($(l), lispworks)
	command ?= ${LISPWORKS} # this is just a convention...
	loadfile = -siteinit - -init - -load

else ifeq ($(l), sbcl)
	command ?= ${SBCL}
	loadfile = --no-userinit --no-sysinit --load
else
	$(error Don\'t know how to operate on implementation $(l))
endif

.PHONY: test clear-cache test-all-lisps test-docker-repl test-docker-lisp

distrib:
	tar czf iterate.tgz $(FILES) $(TEXFILES) $(PDFFILES)

clear-cache:
	rm -rf test/cache

test:	clear-cache
	mkdir -p test
	set -o pipefail ; \
	$(command) $(loadfile) test.lisp | tee test/${l}.text ; \
	exit ${PIPESTATUS[0]}


# Useful for reproducing test failures with Docker.
test-docker-repl:	clear-cache
	@${DOCKER} run --rm -i -t --pull always -u $(shell id -u):$(shell id -g) -v $(sourceDirectory):$(sourceDirectory) -w $(sourceDirectory)/test clfoundation/${l}:latest

test-docker-lisp:	clear-cache
	@${DOCKER} run --rm -i -t --pull always -u $(shell id -u):$(shell id -g) -v $(sourceDirectory):$(sourceDirectory) -w $(sourceDirectory) clfoundation/${l}:latest make test l=${l} t=${t}

test-all-lisps:
	@for lisp in ${lisps} ; do ${MAKE} test l=$$lisp t=${t}|| { echo "$${lisp} failed" ; exit 1 ; } ; done

=== debian/changelog ===
cl-iterate (20231229.git26cf129-2) unstable; urgency=medium

  * Add myself to Uploaders
  * Updated Standards-Version, no changes
  * Marked the clisp tests as flaky, cannot isolate why it fails only in qemu/ci

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 03 Dec 2024 10:12:31 +0100

cl-iterate (20231229.git26cf129-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Remove myself from Uploaders

  [ Peter Van Eynde ]
  * Fix watch file
  * New upstream version 20231229.git26cf129
  * Remove patch which is no longer needed

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 25 Nov 2024 15:16:52 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: lisp
 Priority: optional
 Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
-Uploaders: Sébastien Villemot <sebastien@debian.org>
+Uploaders: Peter Van Eynde <pvaneynd@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Homepage: https://common-lisp.net/project/iterate/
 Vcs-Git: https://salsa.debian.org/common-lisp-team/cl-iterate.git
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/cl-iterate

=== debian/tests/control ===
Test-Command: sbcl --script debian/tests/runtests.lisp
Depends: @, sbcl
Restrictions: allow-stderr

Test-Command: ecl -norc -shell debian/tests/runtests.lisp
Depends: @, ecl, cl-rt
Restrictions: allow-stderr

Test-Command: clisp -norc debian/tests/runtests.lisp
Depends: @, clisp, cl-rt
Restrictions: allow-stderr, flaky

## cl-iterate 20250703.gitd27d7ff

=== Makefile ===
--- 
+++ 
@@ -83,7 +83,7 @@
 test:	clear-cache
 	mkdir -p test
 	set -o pipefail ; \
-	$(command) $(loadfile) test.lisp | tee test/${l}.text ; \
+	$(command) $(loadfile) test.lisp | tee test/${l}-test.text ; \
 	exit ${PIPESTATUS[0]}

=== debian/changelog ===
cl-iterate (20250703.gitd27d7ff-1) sid; urgency=medium

  * New upstream version 20250703.gitd27d7ff
  * Updated Standards-Version, no changes
  * Temporary disable testing on ecl as gcc-15 causes a failure there

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 25 Sep 2025 11:49:05 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
 Uploaders: Peter Van Eynde <pvaneynd@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://common-lisp.net/project/iterate/
 Vcs-Git: https://salsa.debian.org/common-lisp-team/cl-iterate.git
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/cl-iterate

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

# The default Makefile target is not for us
override_dh_auto_build:

# Do not run the testsuite at build time, rather use autopkgtest
override_dh_auto_test:

=== debian/tests/control ===
Test-Command: sbcl --script debian/tests/runtests.lisp
Depends: @, sbcl
Restrictions: allow-stderr

Test-Command: clisp -norc debian/tests/runtests.lisp
Depends: @, clisp, cl-rt
Restrictions: allow-stderr, flaky

=== debian/watch ===
# Follow the “release” branch, as is done by Quicklisp
version=4
opts="mode=git, pgpmode=none, pretty=%cd.git%h" \
https://gitlab.common-lisp.net/iterate/iterate \
HEAD debian uupdate
